Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.core.budget.management.configuration
Interface BudgetServiceMBean

public interface BudgetServiceMBean

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Field Summary
`static int` | `accuracyFactor` Accuracy factor value that affects the frequency that synchronization with budget master ocurs.
`static int` | `configUpdateInterval` Defines the synchronization interval in milliseconds between the slave nodes and the master.
`static int` | `persistentBudgetFlushInterval` Defines the interval in milliseconds between flushing budget values to a persistent store.
`static int` | `persistentBudgetTimeThreshold` Defines a threshold value in milliseconds for budget persistence.

Method Summary
`int` | `getAccuracyFactor()`
`int` | `getBudget(String budgetId)` Gets the current budget.
`BudgetConfiguration` | `getBudgetConfiguration(String budgetId)` Gets a budget configuration.
`int` | `getConfigUpdateInterval()`
`int` | `getPersistentBudgetFlushInterval()`
`int` | `getPersistentBudgetTimeThreshold()`
`void` | `setAccuracyFactor(int accuracyFactor)`
`void` | `setConfigUpdateInterval(int interval)`
`void` | `setPersistentBudgetFlushInterval(int intervalSeconds)`
`void` | `setPersistentBudgetTimeThreshold(int threshold)`

Field Detail

### accuracyFactor

    public static final int accuracyFactor

  Accuracy factor value that affects the frequency that synchronization with budget master ocurs. The value should be greater than or equal to 1, where 1 is the least accurate. Default value is 2.

  See Also:
    Constant Field Values

### configUpdateInterval

    public static final int configUpdateInterval

  Defines the synchronization interval in milliseconds between the slave nodes and the master. This allows slave to be updated when new budgets are added or old ones removed. Value must be greater or equal to 30000 (30 sec).

  See Also:
    Constant Field Values

### persistentBudgetFlushInterval

    public static final int persistentBudgetFlushInterval

  Defines the interval in milliseconds between flushing budget values to a persistent store.

  See Also:
    Constant Field Values

### persistentBudgetTimeThreshold

    public static final int persistentBudgetTimeThreshold

  Defines a threshold value in milliseconds for budget persistence. When a budget is created with a time period greater than the threshold value it we will be persisted. This alows the value to be restored if the system is restarted.

  See Also:
    Constant Field Values

Method Detail

### getAccuracyFactor

    public int getAccuracyFactor()

### getBudget

    public int getBudget(String budgetId)

  Gets the current budget.

  Parameters:
    `budgetId` - The budget ID.
  Returns:
    The current budget. This will be a value less then or equal to max budget. Negative values means that more than the available budget has been allocated.
  Throws:
    `NoSuchElementException` - If there is no such budget defined.

### getBudgetConfiguration

    public BudgetConfiguration getBudgetConfiguration(String budgetId)

  Gets a budget configuration.

  Parameters:
    `budgetId` - The budget ID.
  Returns:
    The budget configuration or null if it does not exist.

### getConfigUpdateInterval

    public int getConfigUpdateInterval()

### getPersistentBudgetFlushInterval

    public int getPersistentBudgetFlushInterval()

### getPersistentBudgetTimeThreshold

    public int getPersistentBudgetTimeThreshold()

### setAccuracyFactor

    public void setAccuracyFactor(int accuracyFactor)
                           throws ManagementException

  Throws:
    `ManagementException`

### setConfigUpdateInterval

    public void setConfigUpdateInterval(int interval)
                                 throws ManagementException

  Throws:
    `ManagementException`

### setPersistentBudgetFlushInterval

    public void setPersistentBudgetFlushInterval(int intervalSeconds)
                                          throws ManagementException

  Throws:
    `ManagementException`

### setPersistentBudgetTimeThreshold

    public void setPersistentBudgetTimeThreshold(int threshold)
                                          throws ManagementException

  Throws:
    `ManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD